--- title: "createPublicIpInstance" slug: "compute-vserver-publicip-createpublicipinstance" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-publicip-createpublicipinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createPublicIpInstance Available in VPC Create a public IP instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/createPublicIpInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `serverInstanceNo` | String | Optional | Server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). - Created in the Unassigned status on no input | | `publicIpDescription` | String | Optional | Public IP description (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/createPublicIpInstance ?regionCode=KR &publicIpDescription=test%20IP &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createPublicIpInstanceResponse` | Object | - | Response result - See [PublicIpInstanceList](/docs/en/common-vapidatatype-publicipinstancelist). | | `createPublicIpInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `createPublicIpInstanceResponse.returnCode` | String | - | Response code | | `createPublicIpInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createPublicIpInstanceResponse": { "totalRows": 1, "publicIpInstanceList": [ { "publicIpInstanceNo": "10*****54", "publicIp": "101.*.*.67", "publicIpDescription": "test IP", "createDate": "2025-06-20T10:31:23+0900", "publicIpInstanceStatusName": "Creating", "publicIpInstanceStatus": { "code": "INIT", "codeName": "Under preparation" }, "serverInstanceNo": "", "serverName": "", "privateIp": "", "publicIpInstanceOperation": { "code": "CREAT", "codeName": "CREAT OP" } } ], "requestId": "844e09f2-****-****-****-843ef9e3c542", "returnCode": "0", "returnMessage": "success" } } ```